ActiveOrHistoricCurrencyAndAmountSEPA
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class ActiveOrHistoricCurrencyAndAmountSEPA

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.ActiveOrHistoricCurrencyAndAmountSEPA

-     public class ActiveOrHistoricCurrencyAndAmountSEPA
      extends java.lang.Object

  Java class for ActiveOrHistoricCurrencyAndAmountSEPA complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActiveOrHistoricCurrencyAndAmountSEPA">
         <simpleContent>
           <extension base="<urn:iso:std:iso:20022:tech:xsd:pain.001.003.03>ActiveOrHistoricCurrencyAndAmount_SimpleTypeSEPA">
             <attribute name="Ccy" use="required" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}ActiveOrHistoricCurrencyCodeEUR" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActiveOrHistoricCurrencyCodeEUR` | `ccy`
    `protected java.math.BigDecimal` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveOrHistoricCurrencyAndAmountSEPA()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveOrHistoricCurrencyCodeEUR` | `getCcy()` Gets the value of the ccy property.
    `java.math.BigDecimal` | `getValue()` Gets the value of the value property.
    `void` | `setCcy(ActiveOrHistoricCurrencyCodeEUR value)` Sets the value of the ccy property.
    `void` | `setValue(java.math.BigDecimal value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected java.math.BigDecimal value

    - #### ccy

          protected ActiveOrHistoricCurrencyCodeEUR ccy

  - ### Constructor Detail

    - #### ActiveOrHistoricCurrencyAndAmountSEPA

          public ActiveOrHistoricCurrencyAndAmountSEPA()

  - ### Method Detail

    - #### getValue

          public java.math.BigDecimal getValue()

      Gets the value of the value property.
      Returns:
        possible object is `BigDecimal`

    - #### setValue

          public void setValue(java.math.BigDecimal value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getCcy

          public ActiveOrHistoricCurrencyCodeEUR getCcy()

      Gets the value of the ccy property.
      Returns:
        possible object is `ActiveOrHistoricCurrencyCodeEUR`

    - #### setCcy

          public void setCcy(ActiveOrHistoricCurrencyCodeEUR value)

      Sets the value of the ccy property.
      Parameters:
        `value` - allowed object is `ActiveOrHistoricCurrencyCodeEUR`